Bug 231237 - update problem - unresolvable conflict with kdemultimedia-extras-nonfree
update problem - unresolvable conflict with kdemultimedia-extras-nonfree
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdemultimedia-extras (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-06 17:10 EST by Radek Bíba
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-07 10:35:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radek Bíba 2007-03-06 17:10:07 EST
Description of problem:
When updating a box, this became a showstopper:

Error: kdemultimedia-extras conflicts with kdemultimedia-extras-nonfree <
6:3.5.6-3

This is pretty interesting, because:
$ rpm -q kdemultimedia-extras-nonfree
kdemultimedia-extras-nonfree-3.5.6-3.lvn6

denotes that the installed version is NOT lower than 3.5.6-3. I don't know what
should be fixed here.

Version-Release number of selected component (if applicable):
kdemultimedia-extras-3.5.6-4.fc6
Comment 1 Kevin Kofler 2007-03-06 20:53:16 EST
This is due to a wrong epoch in the Conflicts tag. The Conflicts lists epoch 6, 
whereas kdemultimedia-extras-nonfree-3.5.6-3.lvn6 actually has no epoch (which 
is essentially the same as epoch 0). 0:3.5.6-3.lvn6 < 6:3.5.6-3, thus the 
problem. Either the Conflicts needs to be fixed, or the epoch of 
kdemultimedia-extras-nonfree needs to be bumped to 6 to match the other 
packages.
Comment 2 Rex Dieter 2007-03-06 20:56:24 EST
Thanks Kevin, fixing asap.
Comment 3 Rex Dieter 2007-03-07 10:35:21 EST
Looks like Michael caught it before I got to it, thanks.

* Wed Mar  7 2007 Michael Schwendt <mschwendt[AT]users.sf.net> 6:3.5.6-5
- fix the fatal "Conflicts" with kdemultimedia-extras-nonfree, which
  breaks upgrades - the package does not have Epoch 6

Comment 4 Radek Bíba 2007-03-08 17:56:43 EST
Yeah, everything is OK now. Thanks!
(and you're right, no kittens were harmed :) )

Note You need to log in before you can comment on or make changes to this bug.